#
# spec file for package whatmp3
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           whatmp3
Version:        3.8
Release:        pm154.1.1
Summary:        Small Python script to convert flac files into various media formats
License:        MIT
Group:          Productivity/Multimedia/Sound/Editors and Convertors
URL:            https://github.com/RecursiveForest/whatmp3
Source:         %{name}-%{version}.tar.gz
Requires:       flac
Requires:       mktorrent
Requires:       python
Suggests:       lame
Suggests:       mp3gain
Suggests:       nero-aac
Suggests:       sox
Suggests:       vorbis-tools
Suggests:       vorbisgain

%description
A small Python script that accepts a list of directories containing FLAC files as arguments and converts them to MP3 with the specified options. It can optionally create a torrent file.

%prep
%setup -q

%build
#%%configure
#make %{?_smp_mflags}

%install
%make_install PREFIX=%{_prefix}

%post
%postun

%files
%license LICENSE
%doc CHANGELOG README.md
%{_bindir}/whatmp3
%{_mandir}/man1/whatmp3.1.gz


%changelog
* Mon Aug 24 2020 Philipp Seiler <p.seiler@linuxmail.org>
- initial commit
